## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 26
%bcond_without check
%global debug_package %{nil}

%global crate pep440_rs

Name:           rust-pep440_rs
Version:        0.6.6
Release:        %autorelease
Summary:        Library for python version numbers and specifiers, implementing PEP 440

License:        Apache-2.0 OR BSD-2-Clause
URL:            https://crates.io/crates/pep440_rs
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * drop unused Python bindings
# * drop unused pubgrub support
# * drop unused rkyv support
Patch:          pep440_rs-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
A library for python version numbers and specifiers, implementing PEP
440.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/License-Apache
%license %{crate_instdir}/License-BSD
%doc %{crate_instdir}/Changelog.md
%doc %{crate_instdir}/Readme.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+serde-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serde-devel %{_description}

This package contains library source intended for building other packages which
use the "serde" feature of the "%{crate}" crate.

%files       -n %{name}+serde-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+tracing-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+tracing-devel %{_description}

This package contains library source intended for building other packages which
use the "tracing" feature of the "%{crate}" crate.

%files       -n %{name}+tracing-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Sun Jan 19 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Tue Sep 24 2024 Fabio Valentini <decathorpe@gmail.com> - 0.6.6-1
- Update to version 0.6.6; Fixes RHBZ#2301480

* Sat Jul 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sat Apr 13 2024 Fabio Valentini <decathorpe@gmail.com> - 0.5.0-1
- Update to version 0.4.2

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Jan 04 2024 Fabio Valentini <decathorpe@gmail.com> - 0.4.0-1
- Update to version 0.4.0; Fixes RHBZ#2253956

* Tue Oct 10 2023 Fabio Valentini <decathorpe@gmail.com> - 0.3.12-1
- Update to version 0.3.12; Fixes RHBZ#2241144

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.11-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Sat Jun 24 2023 Fabio Valentini <decathorpe@gmail.com> - 0.3.11-1
- Update to version 0.3.11; Fixes RHBZ#2214525

* Mon May 29 2023 Fabio Valentini <decathorpe@gmail.com> - 0.3.9-1
- Update to version 0.3.9; Fixes RHBZ#2196030

* Mon Apr 24 2023 Fabio Valentini <decathorpe@gmail.com> - 0.3.6-1
- Update to version 0.3.6; Fixes RHBZ#2189193

* Sun Apr 23 2023 Fabio Valentini <decathorpe@gmail.com> - 0.3.5-1
- Initial import (#2187677)
## END: Generated by rpmautospec
